import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { AddsController } from './adds.controller';
import { AddsEntity } from './adds.entity';
import { AddsService } from './adds.service';

@Module({
  imports: [
    TypeOrmModule.forFeature([AddsEntity])
],
  controllers: [AddsController],
  providers: [AddsService],
  exports:[AddsService],
})
export class AddsModule {}
