import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { BloodGroupController } from './blood-group.controller';
import { BloodGroupEntity } from './blood-group.entity';
import { BloodGroupService } from './blood-group.service';
@Module({
  imports: [
    TypeOrmModule.forFeature([BloodGroupEntity]),
],
  controllers: [BloodGroupController],
  providers: [BloodGroupService],
  exports:[BloodGroupService],
})
export class BloodGroupModule {}
