import { errorHandler } from '@gtpl/shared-utils/error-messages';
import { Body, Controller, Get, Post, Query, Req } from '@nestjs/common';
import { ApiHeader, ApiQuery, ApiTags } from '@nestjs/swagger';
import { DevelopmentStatusEntity } from './developmentpost.entity';
import { DevelopmentpostService } from './developmentpost.service';
import { developmentResponseModel, developmentstatusResponseModel } from './dto/developmentpost-response-module';
import { developmentpoststatusupdateDTO } from './dto/developmentpost.dto';
@ApiTags('developmentpost')
@Controller('developmentpost')
export class DevelopmentpostController {
    constructor(
        private DevelopmentpostService: DevelopmentpostService
    ){}

      @ApiHeader({
    name:'Authorization',
    description:'Authorization token'
})  
  @Post('/updateStatus')
  @ApiQuery({name:'apiVersion'})
async updatedevelopmentstatus(@Query() queryParams,@Body() developmentpoststatusupdateDTO:developmentpoststatusupdateDTO,@Req() request:Request): Promise<developmentResponseModel> {
  try {
    return await this.DevelopmentpostService.updatedevelopmentstatus(queryParams,developmentpoststatusupdateDTO, request);
  } catch (error) {
    return errorHandler(developmentResponseModel, error);
  }
}
}
