import { Module } from '@nestjs/common';
import { DistrictService } from './district.service';
import { DistrictController } from './district.controller';
import { DistrictEntity } from './district.entity';
import { TypeOrmModule } from '@nestjs/typeorm';

@Module({
  imports:[  
    TypeOrmModule.forFeature([DistrictEntity]),
  ],
  exports: [DistrictService],
  providers: [DistrictService],
  controllers: [DistrictController]
})
export class DistrictModule {}
