import { Module } from '@nestjs/common';
import { EventDetailsService } from './event-details.service';
import { EventDetailsController } from './event-details.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { EventDetailsEntity } from './event-details.entity';

@Module({
  imports:[
    TypeOrmModule.forFeature([EventDetailsEntity])
  ],
  providers: [EventDetailsService],
  controllers: [EventDetailsController],
  exports:[EventDetailsService]
})
export class EventDetailsModule {}
