import { forwardRef, Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProfileEntity } from '../profile/profile.entity';
import { FeedbackController } from './feedback.controller';
import { FeedBackEntity } from './feedback.entity';
import { FeedbackService } from './feedback.service';

@Module({
    imports: [
        TypeOrmModule.forFeature([FeedBackEntity,ProfileEntity]),
    ],
    controllers:[FeedbackController],
    providers:[FeedbackService],
    exports:[FeedbackService],
})
export class FeedbackModule {}