import {BaseEntity,Column,Entity,Index,JoinColumn,JoinTable,ManyToMany,ManyToOne,OneToMany,OneToOne,PrimaryColumn,PrimaryGeneratedColumn,RelationId, VersionColumn, UpdateDateColumn, CreateDateColumn,BeforeInsert, BeforeUpdate} from "typeorm";
import { IdeaEntity } from "./idea.entity";

@Entity('idea_files')
export class IdeaFilesEntity { 

  @PrimaryGeneratedColumn('increment',{name:'id'}) 
  Id: number; 
   
  @Column({
    type: 'int',
    nullable:false,
    name: 'idea_id'
  })
  ideaId: number;
  @Column("varchar",{
    nullable: true,
    length:500,
    name:"attachments_url"
  })
  attachmentsUrl:string;
  @ManyToOne(() =>IdeaEntity,(idea:IdeaEntity)=>idea.ideafiles)
  @JoinColumn({name:"idea_id"})
  idea:IdeaEntity;
   
}