import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { PollVotingEntity } from './poll-voting.entity';
import { PollController } from './poll.controller';
import { PollEntity } from './poll.entity';
import { PollService } from './poll.service';

@Module({
  imports: 
    [TypeOrmModule.forFeature([PollEntity,PollVotingEntity])],
  controllers: [PollController],
  providers: [PollService],
  exports:[PollService]
})
export class PollModule {}
