import { Module } from '@nestjs/common';
import { PostFilesService } from './post-files.service';
import { PostFilesController } from './post-files.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { PostFilesEntity } from './post-files.entity';

@Module({
  imports:[
    TypeOrmModule.forFeature([PostFilesEntity])
  ],
  providers: [PostFilesService],
  controllers: [PostFilesController],
  exports:[PostFilesService]
})
export class PostFilesModule {}
