import { Module } from '@nestjs/common';
import { ReportService } from './report.service';
import { ReportController } from './report.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ReportEntity } from './report.entity';

@Module({
  imports: [
    TypeOrmModule.forFeature([ReportEntity])
],
  providers: [ReportService],
  controllers: [ReportController],
  exports:[ReportService],
})
export class ReportModule {}
