import {BaseEntity,Column,Entity,Index,JoinColumn,JoinTable,ManyToMany,ManyToOne,OneToMany,OneToOne,PrimaryColumn,PrimaryGeneratedColumn,RelationId, VersionColumn, UpdateDateColumn, CreateDateColumn,BeforeInsert, BeforeUpdate} from "typeorm";
import { RepresentationEntity } from "./representation.entity";



@Entity('reprsentationfiles')
export class RepresentationFilesEntity { 

    @PrimaryGeneratedColumn('increment',{name:'id'}) 
    Id: number; 
   
      @Column({
        type: 'int',
        nullable:false,
        name: 'representation_id'
    })
    representationId: number;
      @Column("varchar",{
        nullable: true,
        length:500,
        name:"attachments_url"
      })
      attachmentsUrl:string;
    @ManyToOne(() =>RepresentationEntity,(representaion:RepresentationEntity)=>representaion.representationfiles)
    @JoinColumn({name:"representation_id"})
    representaion:RepresentationEntity;
   
}