import { Module } from '@nestjs/common';
import { RoleActivityService } from './role-activity.service';
import { RoleActivityController } from './role-activity.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { RoleActivityEntity } from './role-activity.entity';
import { UserEntity } from '../user/user.entity';

@Module({
  imports:[
    TypeOrmModule.forFeature([RoleActivityEntity, UserEntity]),
  ],
  providers: [RoleActivityService],
  controllers: [RoleActivityController],
  exports: [RoleActivityService]
})
export class RoleActivityModule {}
