import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { RolesController } from './roles.controller';
import { RolesEntity } from './roles.entity';
import { RolesService } from './roles.services';

@Module({
    imports: [
        TypeOrmModule.forFeature([RolesEntity])
    ],
    providers: [RolesService],
    controllers: [RolesController],
    exports: [RolesService]
})
export class RolesModule {}





