import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { WardsController } from "./wards.controller";
import { WardsEntity } from "./wards.entity";
import { WardsService } from "./wards.service";

@Module({
    imports: [
      TypeOrmModule.forFeature([WardsEntity]), 
    ],
    providers: [WardsService],
    controllers: [WardsController],
    exports: [WardsService]
  })
  export class WardsModule {}
  