import { ApiProperty } from '@nestjs/swagger';
import {IsInt, IsEmail, IsString, IsDateString, IsNumber, IsDate,IsAlphanumeric, MaxLength, Matches, IsOptional, IsNotEmpty, ValidateNested } from 'class-validator';

export class WelfaretypeDTO {
@ApiProperty()
Id: number;

@ApiProperty()
welfareType: string;

@ApiProperty()
status: boolean;
createdAt : Date;
@ApiProperty()
@IsOptional()
createdUser : number;
updatedAt : Date;
@ApiProperty()
@IsOptional()
updatedUser : number;
@ApiProperty()
versionFlag : number;
}


  

   export class WelfaretypeStatusDTO{
       @ApiProperty()
       @ApiProperty()
       @IsNotEmpty({message:"Id should not be empty"})
       @IsNumber()
       Id: number;
       @ApiProperty()
       status: boolean;
       updatedAt : Date;
       @ApiProperty()
       @IsOptional()
       updatedUser : number;
   }
    
