import { EventBusLogger } from "../../logging/event-bus-logger";
import { LogEntry } from "../../logging/event-bus-logger";

export default class LoggerMock implements EventBusLogger {
    constructor(){
        console.log("using mock logger");
    }
    setContext(context: string): void {

    }

    log(message: any, context?: string | undefined) {
        console.log("WOOOOOO");
    }

    error(message: any, trace?: string | undefined, context?: string | undefined) {

    }

    warn(message: any, context?: string | undefined) {

    }

    logCreator(): (level: string) => (entry: LogEntry) => void {
        return (level: string) => (entry: LogEntry) => {};
    }
}