import {BaseEntity,Column,Entity,Index,JoinColumn,JoinTable,ManyToMany,ManyToOne,OneToMany,OneToOne,PrimaryColumn,PrimaryGeneratedColumn,RelationId, VersionColumn, UpdateDateColumn, CreateDateColumn} from "typeorm";
import { PostEntity } from "../post/post.entity";

@Entity('developmentstatus')
export class DevelopmentStatusEntity{
    @PrimaryGeneratedColumn("increment",{name:'id'})
    Id:number;
 
    @Column("int",{
        nullable: true,
    name:"post_id"
})
postId:number;
    @Column("varchar",{
        nullable:true,
        length:45,
      
        name:"developmentStatus"
    })
    developmentStatus:string;
   
    @Column("boolean",{
        nullable:false,
        default:true,               
        name:"status"
    })
    status:boolean;
    @CreateDateColumn({
        name: "created_at",
        type:"datetime"
      })
      createdAt: Date;
      @Column("int", {
        nullable: false,
        name: "created_user"
      })
      createdUser: number | null;
      @UpdateDateColumn({
        name: "updated_at",
        type:'datetime'
      })
      updatedAt: Date;
      @Column("int", {
        nullable: true,
        name: "updated_user"
      })
      updatedUser: number | null;
      @VersionColumn({
          default:1,
          name: "version_flag"
      })
      versionFlag: number;

      @OneToOne(() => PostEntity, (post: PostEntity) => post.development)
      @JoinColumn({ name: 'post_id' })
      post: PostEntity;
     

}