import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { HamletController } from "./hamlet.controller";
import { HamletEntity } from "./hamlet.entity";
import { HamletService } from "./hamlet.service";

@Module({
    imports: [
      TypeOrmModule.forFeature([HamletEntity]), 
    ],
    providers: [HamletService],
    controllers: [HamletController],
    exports: [HamletService]
  })
  export class HamletModule {}
  