import { forwardRef, Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProfileModule } from '../profile/profile.module';
import { ChayuthaController } from './kchayutha.controller';
import { ChayuthaEntity } from './kchayutha.entity';
import { ChayuthaService } from './kchayutha.service';
@Module({
  imports: [
    TypeOrmModule.forFeature([ChayuthaEntity]),
    forwardRef(()=>ProfileModule),
  ],
  controllers: [ChayuthaController],
  providers: [ChayuthaService],
  exports:[ChayuthaService]
})
export class ChayuthaModule {}
