import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { NotificationsEntity } from '../notifications/notifications.entity';
import { UserEntity } from '../user/user.entity';
import { LivetvController } from './livetv.controller';
import { LivetvEntity } from './livetv.entity';
import { LivetvService } from './livetv.service';


@Module({
    imports: [
        TypeOrmModule.forFeature([LivetvEntity,UserEntity,NotificationsEntity])
    ],
    controllers:[LivetvController],
    providers:[LivetvService],
    exports:[LivetvService],
})
export class LivetvModule {}
