import { Module } from '@nestjs/common';
import { PostTypeService } from './post-type.service';
import { PostTypeController } from './post-type.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { PostTypeEntity } from './post-type.entity';

@Module({
  imports: [
    TypeOrmModule.forFeature([PostTypeEntity]),
  ],
  providers: [PostTypeService],
  controllers: [PostTypeController],
  exports: [PostTypeService]
})
export class PostTypeModule {}
