import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { StatesController } from './states.controller';
import { StatesEntity } from './states.entity';
import { StatesService } from './states.service';

@Module({
  imports: [
    TypeOrmModule.forFeature([StatesEntity,]),
  ],
  controllers: [StatesController],
  providers: [StatesService],
  exports: [StatesService],
})
export class StatesModule {}
