import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { VillageController } from './village.controller';
import { VillageEntity } from './village.entity';
import { VillageService } from './village.service';

@Module({
  imports:[
    TypeOrmModule.forFeature([VillageEntity]),
  ],
  exports:[VillageService],
  controllers: [VillageController],
  providers: [VillageService]
})
export class VillageModule {}
