import {BaseEntity,Column,Entity,Index,JoinColumn,JoinTable,ManyToMany,ManyToOne,OneToMany,OneToOne,PrimaryColumn,PrimaryGeneratedColumn,RelationId, VersionColumn, UpdateDateColumn, CreateDateColumn} from "typeorm";
import { WelfareEntity } from "../welfare/welfare.entity";

@Entity('welfarefiles')
export class WelfareFilesEntity{
  @PrimaryGeneratedColumn("increment",{name:'id'})
  Id:number;
  @Column("int",{
    nullable: false,
    name:"welfare_id"
  })
  welfareId:number;   
  @Column("varchar",{
    nullable: false,
    length:500,
    name:"attachments_url"
  })
  attachmentsUrl:string;

  @ManyToOne(() => WelfareEntity, (welfare: WelfareEntity) => welfare.welfarefiles)
  @JoinColumn({ name: 'welfare_id' })
  welfare: WelfareEntity;

}