# Backend deployment commands
docker container ls -a
docker container stop [container_id]
docker container rm [container_id]
docker image ls
docker image rm --force [docker_image]
cd /
cd /var/www/html/<code folder>/dist/apps/
rm -r services
cd /var/www/html/<code folder>
git pull
npm install
nx run services-backend:build
docker build -t [docker_image_name] .
# development
docker run -p 5010:5010 -e TZ=Asia/Kolkata -v netrarc_images:/netr_arc/public -d [docker_image_name]
# Production
docker run -p 5010:5010 -e TZ=Asia/Kolkata -v netrarc_images:/netr_arc/public -d [docker_image_name]