import { StyleDto, ScheduleDto, ColorDto } from '@brandix-apps/shared-models/production-planning'
export interface IStyleScheduleColor {
    styles: StyleDto[],
    selectedStyle?: string,
    schedules: ScheduleDto[],
    selectedSchedules: Array<string>,
    colors: ColorDto[],
    selectedColors: Array<string>,
    styleChange?: (style: any) => void,
    colorChange?: (colors: any) => void,
    scheduleChnage?: (schedule: any) => void,    
    styleFocus?: () => void,
    scheduleFocus?: () => void,
    colorFocus?: () => void
}